# frozen_string_literal: true

if defined?(Resque.logger)
  Resque.logger = ZuoraObservability::Logger.custom_logger(name: 'Resque')
  if defined?(Resque::Scheduler)
    Resque::Scheduler.logger = ZuoraObservability::Logger.custom_logger(name: 'ResqueScheduler')
  end
end

if defined?(Delayed::Worker.logger)
  Delayed::Worker.logger = ZuoraObservability::Logger.custom_logger(name: 'DelayedJob', level: Logger::INFO)
end

if defined?(Makara)
  Makara::Logging::Logger.logger = ZuoraObservability::Logger.custom_logger(name: 'Makara')
end

if defined?(ElasticAPM) && ElasticAPM.running?
  ElasticAPM.agent.config.logger = ZuoraObservability::Logger.custom_logger(name: 'ElasticAPM', level: Logger::WARN)
end

if defined?(ActionMailer)
  ActionMailer::Base.logger = ZuoraObservability::Logger.custom_logger(name: 'ActionMailer')
end
