# frozen_string_literal: true

require 'zuora_observability/configuration'
require 'zuora_observability/engine'
require 'zuora_observability/env'
require 'zuora_observability/metrics'
require 'zuora_observability/logger'

require 'zuora_observability/logging/formatter'

# Provides Rails application with tools for observabilty
module ZuoraObservability
  class << self
    attr_writer :configuration

    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration)
    end

    def reset
      @configuration = Configuration.new
    end
  end
end
