# frozen_string_literal: true

module ZuoraObservability
  # Global configuration that can be set in a Rails initializer
  class Configuration
    attr_reader :custom_payload_hooks
    attr_accessor :zecs_service_hook, :json_logging

    def initialize
      @custom_payload_hooks = []
      @zecs_service_hook = nil
      # NOTE(hartley): this checks the var for presence rather than value to
      # align with how Rails does RAILS_LOG_TO_STDOUT
      @json_logging = ENV['ZUORA_JSON_LOGGING'].present? ? true : !(Rails.env.development? || Rails.env.test?)
    end

    def add_custom_payload_hook(&block)
      custom_payload_hooks << block
    end
  end
end
